Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.jvm.event
Class ClassLoadEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--com.bea.jvm.event.ClassLoadEvent

All Implemented Interfaces:
  java.io.Serializable

public class ClassLoadEvent
extends java.util.EventObject

when a Class is loaded/unloaded by the JVM.

NOTE: Since the actual class loaded/unloaded is delivered as part of the event, for unloading, this event should be considered as a notification of 'class finalization', and the event receiver will effectively prevent the actual unloading as long as this object is being referred (i.e. during the events lifetime). If you store the event or the java.lang.Class returned by getClassObject() the class will not be actually unloaded, even though it remains unreachable from user code (other than management API user).

Author:
  Calle Wilund
, Marcus Hirt
See Also:
  Serialized Form

Field Summary
`static int` | `CLASS_LOADED` Flag indicating that the class was loaded.
`static int` | `CLASS_UNLOADED` Flag indicating that the class was unloaded.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ClassLoadEvent(java.lang.Class c, int eventType)` Constructor.

Method Summary
`java.lang.Class` | `getClassObject()` Returns the Class (if available) that the event represents.
`int` | `getEventType()` Returns either CLASS_LOADED or CLASS_UNLOADED depending on what caused the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CLASS_LOADED

    public static final int CLASS_LOADED

  Flag indicating that the class was loaded.

  See Also:
    Constant Field Values

### CLASS_UNLOADED

    public static final int CLASS_UNLOADED

  Flag indicating that the class was unloaded.

  See Also:
    Constant Field Values

Constructor Detail

### ClassLoadEvent

    public ClassLoadEvent(java.lang.Class c,
                          int eventType)

  Constructor.

Parameters:
  `c` - the class that was loaded/unloaded.
  `eventType` - either CLASS_LOADED or CLASS_UNLOADED.

Method Detail

### getEventType

    public int getEventType()

  Returns either CLASS_LOADED or CLASS_UNLOADED depending on what caused the event.

  Returns:
    CLASS_LOADED or CLASS_UNLOADED
  See Also:
    `CLASS_LOADED`, `CLASS_UNLOADED`

### getClassObject

    public java.lang.Class getClassObject()

  Returns the Class (if available) that the event represents.

  Returns:
    the Class (if available) that the event represents.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD